Skip to main content
POST
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
quote
Submit a FIX quote
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/orders/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_msg_id": "<string>",
  "quote_id": "<string>",
  "quote_type": 123,
  "private_quote": true,
  "parties": [
    {
      "party_id": "<string>",
      "party_id_source": "<string>",
      "party_role": 123
    }
  ],
  "symbol": "<string>",
  "side": "<string>",
  "account": "<string>",
  "bid_price": "<string>",
  "offer_price": "<string>",
  "bid_size": 123,
  "offer_size": 123,
  "order_type": "<string>",
  "trade_date": "<string>",
  "ioi_id": "<string>"
}
'
{
  "isSuccess": true,
  "detail": "<string>",
  "data": {
    "msg_type": "<string>",
    "request_id": "<string>",
    "orig_request_id": "<string>",
    "client_id": "<string>",
    "hft_gateway": "<string>",
    "source_service": "<string>",
    "source_sequence": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Put-through quote request fields.

QuoteRequest schema.

quote_msg_id
string
required

Required.

quote_id
string

Quote identifier.

quote_type
integer<int32>

Quote type.

private_quote
boolean

Indicates whether the quote is private.

parties
object[]

Party list carried by the request.

symbol
string

Trading symbol.

side
string

B or S; optional for quote.

account
string

Trading account used by the request.

bid_price
string

Bid price.

offer_price
string

Offer price.

bid_size
integer<int64>

Bid size.

offer_size
integer<int64>

Offer size.

order_type
string

Order type submitted by the client.

trade_date
string

Trade date value for QuoteRequest.

ioi_id
string

IOI identifier.

Response

Accepted

AckResponse schema.

isSuccess
boolean

Indicates whether the operation completed successfully.

Example:

true

detail
string

Detailed information for the record.

data
object

Ack schema.